List fleet management trips
Lists fleet management trips recorded against the given expense category. Used to source mileage data into expense records.
GET
/
me
/
organizations
/
{id}
/
categories
/
{categoryId}
/
fleetmanagementtrips
List fleet management trips
curl --request GET \
--url https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"total": 23,
"count": 10
},
"data": [
{
"id": "12345678",
"name": "Wieslanders väg 4, 504 31 Borås - Ullenevägen 2, 521 52 Floby",
"abbreviation": {
"date": "2023-06-25T19:18:55Z",
"distance": "63.0 km",
"from": {
"latitude": "57.7149033",
"longitude": "12.9126383",
"place": "Wieslanders väg 4, 504 31 Borås"
},
"to": {
"latitude": "58.143845",
"longitude": "13.33409",
"place": "Ullenevägen 2, 521 52 Floby"
},
"mapUrl": null
}
}
]
}{
"categoryId parameter is not valid": {
"value": {
"result": "error",
"code": "INVALID_PARAMETER",
"description": "Parameter categoryId is not valid"
}
},
"missing parameter categoryId": {
"value": {
"result": "error",
"code": "MISSING_PARAMETER",
"description": "Missing parameter: categoryId"
}
}
}{
"account not found": {
"value": {
"result": "error",
"code": "FLEET_MANAGEMENT_ACCOUNT_NOT_FOUND",
"description": "Account not found"
}
},
"vehicle not found": {
"value": {
"result": "error",
"code": "FLEET_MANAGEMENT_VEHICLE_NOT_FOUND",
"description": "Vehicle not found for person"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the organization of the user UUID without dashes (32-character hex string)
Pattern:
^[0-9a-fA-F]{32}$external id of expense category UUID without dashes (32-character hex string)
Pattern:
^[0-9a-fA-F]{32}$Query Parameters
max records to return
Required range:
1 <= x <= 1000the offset to be used in list
Required range:
x >= 0Response
OK
Hide child attributes
Hide child attributes
ID of trip collected from the external provider
String that combines start address and end address of trip
Hide child attributes
Hide child attributes
start date of the trip
URL of the generated map for the trip route
Last modified on August 31, 2026
⌘I
List fleet management trips
curl --request GET \
--url https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me/organizations/{id}/categories/{categoryId}/fleetmanagementtrips")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"total": 23,
"count": 10
},
"data": [
{
"id": "12345678",
"name": "Wieslanders väg 4, 504 31 Borås - Ullenevägen 2, 521 52 Floby",
"abbreviation": {
"date": "2023-06-25T19:18:55Z",
"distance": "63.0 km",
"from": {
"latitude": "57.7149033",
"longitude": "12.9126383",
"place": "Wieslanders väg 4, 504 31 Borås"
},
"to": {
"latitude": "58.143845",
"longitude": "13.33409",
"place": "Ullenevägen 2, 521 52 Floby"
},
"mapUrl": null
}
}
]
}{
"categoryId parameter is not valid": {
"value": {
"result": "error",
"code": "INVALID_PARAMETER",
"description": "Parameter categoryId is not valid"
}
},
"missing parameter categoryId": {
"value": {
"result": "error",
"code": "MISSING_PARAMETER",
"description": "Missing parameter: categoryId"
}
}
}{
"account not found": {
"value": {
"result": "error",
"code": "FLEET_MANAGEMENT_ACCOUNT_NOT_FOUND",
"description": "Account not found"
}
},
"vehicle not found": {
"value": {
"result": "error",
"code": "FLEET_MANAGEMENT_VEHICLE_NOT_FOUND",
"description": "Vehicle not found for person"
}
}
}
